<!doctype html>
<html lang="en">

<head>
    <title>Title</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <style>

    </style>
</head>

<body>
    <div class="container">

        <div class="row d-flex align-items-center min-vh-100">
            <div class="col-sm-5 mx-auto my-0 jumbotron">
                <div>
                    <h1>sign up</h1>
                    <p>please fill in the form to create an account</p>
                    <hr>
                </div>
                <form id="form-sign-up" action="" class="form-submit">
                    <div class="row form-group ">
                        <div class="col">
                            <input type="text" name="" id="inp-fname" class="form-control" placeholder="First Name">
                        </div>
                        <div class="col">
                            <input type="text" name="" id="inp-lname" class="form-control" placeholder="Last Name">
                        </div>

                    </div>
                    <div class="row form-group">
                        <div class="col">
                            <input type="email" id="inp-email" class="col-sm-12 form-control" placeholder="Email">
                        </div>

                    </div>
                    <div class="row form-group">
                        <div class="col">
                            <input type="password" id="inp-password" class="col-sm-12 form-control"
                                placeholder="Password">
                        </div>

                    </div>
                    <div class="row form-group">
                        <div class="col">
                            <input type="password" id="inp-confirm-pass" class="col-sm-12 form-control"
                                placeholder="Confirm Password">
                        </div>

                    </div>
                    <div class="row form-group ml-3">
                        <div class="col">
                            <input type="checkbox" name="" id="inp-check" class="form-check-input ">
                            <label for="">I accept the <a href="">Tems of Use</a> & <a href="">Privacy
                                    Policy</a></label>
                        </div>

                    </div>
                    <div class="row form-group">
                        <button class="btn btn-primary">Sign up</button>
                    </div>
                </form>

            </div>

            <!-- Optional JavaScript -->
            <!-- jQuery first, then Popper.js, then Bootstrap JS -->
            <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
                integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
                crossorigin="anonymous"></script>
            <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
                integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
                crossorigin="anonymous"></script>
            <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
                integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
                crossorigin="anonymous"></script>
</body>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {
        $("#form-sign-up").on("submit", function (event) {
            event.preventDefault();
            onBtnSignUp();
        })
    })


    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onBtnSignUp() {
        var vSignUpObj = {
            firstName: "",
            lastName: "",
            email: "",
            password: "",
            confirmPassword: "",
            isCheckBox: false,
        };
        getSignUpData(vSignUpObj);
        var vCheck = validateSignUpData(vSignUpObj);
        if (vCheck) {
            showDataSignUp(vSignUpObj);
        }

    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    // ham thu thap thong tin
    function getSignUpData(paramSignUp) {
        paramSignUp.firstName = $("#inp-fname").val().trim();
        paramSignUp.lastName = $("#inp-lname").val().trim();
        paramSignUp.email = $("#inp-email").val().trim();
        paramSignUp.password = $("#inp-password").val().trim();
        paramSignUp.confirmPassword = $("#inp-confirm-pass").val().trim();
        paramSignUp.isCheckBox = $("#inp-check").is(":checked");
    }
    // validate
    function validateSignUpData(paramSignUp) {
        if (paramSignUp.firstName == "" || paramSignUp.lastName == "" || paramSignUp.email == "" || paramSignUp.password == "" || paramSignUp.confirmPassword == "") {
            alert("nhập đầy đủ các trường!");
            return false;
        }
        else if (checkEmail(paramSignUp.email) == false) {
            return false;
        }
        else if (paramSignUp.password != paramSignUp.confirmPassword) {
            alert("confirm password not match password");
            return false;
        }
        else if (paramSignUp.isCheckBox == false) {
            alert("check accept!");
            return false;
        }
        return true;
    }
    // checkEmail

    function checkEmail(paramEmail) {
        var validRegex = /^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+@[a-zA-Z0-9-]+(?:\.[a-zA-Z0-9-]+)*$/;

        if (paramEmail.match(validRegex)) {
            alert("Valid email address!");
            return true;

        } else {
            alert("Invalid email address!");
            return false;
        }
    }
    //show data sign up
    function showDataSignUp(paramSignUp) {
        console.log(paramSignUp);
    }

</script>

</html>